1.0
1.0
get /v1/apis
Description
Get apis list
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | name optional | Name Example : test-api | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ApiListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/apis
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = apigateway 1.0"
Example HTTP response
Response 200
{
"apis": [
{
"account_id": "27bb070b564349f8a31cc60734cc36a5",
"created_at": "2024-05-17T00:23:17Z",
"description": "Description",
"dns_record_status": "Active",
"id": "27bb070b564349f8a31cc60734cc36a5",
"name": "test-api",
"status": "Active"
}
],
"count": 20
}